=== debian/changelog ===
python-fastrlock (0.8.2-1) unstable; urgency=medium

  * Initial release.

 -- Mo Zhou <lumin@debian.org>  Sun, 13 Oct 2024 01:28:45 -0400
