=== debian/control ===
Source: python-fastrlock
Section: python
Homepage: https://github.com/scoder/fastrlock
Priority: optional
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/science-team/python-fastrlock.git
Vcs-Browser: https://salsa.debian.org/science-team/python-fastrlock
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-all-dev

Package: python3-fastrlock
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: fast RLock implementation for CPython
 This is a C-level implementation of a fast, re-entrant, optimistic lock for
 CPython. It is a drop-in replacement for threading.RLock. FastRLock is
 implemented in Cython and also provides a C-API for direct use from Cython code
 via from fastrlock cimport rlock or from cython.cimports.fastrlock import
 rlock.
