=== requirements.txt ===
Cython>=3.0.11, <3.1
setuptools
wheel
