=== debian/changelog ===
python-fastrlock (0.8.3-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:38:54 +0000

python-fastrlock (0.8.3-2) unstable; urgency=medium

  * Add missing B-D python3-setuptools. (Closes: #1100266)

 -- Mo Zhou <lumin@debian.org>  Tue, 18 Mar 2025 23:41:56 -0400

python-fastrlock (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3

 -- Mo Zhou <lumin@debian.org>  Sun, 02 Mar 2025 14:28:35 -0500
