=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
                debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-all-dev
+               python3-all-dev,
+               python3-setuptools,
 
 Package: python3-fastrlock
 Architecture: any
