=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = fastrlock
%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_clean:
	-$(RM) fastrlock/rlock.c
