=== debian/tests/control ===
Test-Command: python3 fastrlock/tests/test_rlock.py -v
Depends: @
Restrictions: allow-stderr
